### Method

# Gck ObjectCache update

#### Declaration [src]

    gboolean
    gck_object_cache_update (
      GckObjectCache* object,
      const gulong* attr_types,
      gint n_attr_types,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Update the object cache with given attributes. If an attribute already exists in the cache, it will be updated, and if it doesn’t it will be added.

This may block, use the asynchronous version when this is not desirable.

#### Parameters

`attr_types`

  Type: An array of `gulong`

  The types of attributes to update.

  The length of the array is specified in the `n_attr_types` argument.
  The data is owned by the caller of the method.

`n_attr_types`

  Type: `gint`

  The number of attribute types.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the cache update was successful.